Skip to main content
`Ctrl`+`K`

# PCISSetSubdomainScalingFactor

Set scaling factor for `PCIS`.

## Synopsis

    #include "petscpc.h"
    PetscErrorCode PCISSetSubdomainScalingFactor(PC pc, PetscScalar scal)

Not Collective

## Input Parameters

- pc - the preconditioning context

- scal - scaling factor for the subdomain

## Note

Intended for use with the jumping coefficients cases.

## See Also

KSP: Linear System Solvers, `PCBDDC`, `PCNN`, `PCISScatterArrayNToVecB()`, `PCISSetSubdomainDiagonalScaling()`, `PCISSetUseStiffnessScaling()`, `PCISReset()`, `PCISInitialize()`, `PCISApplyInvSchur()`, `PCISApplySchur()`

## Level

intermediate

## Location

src/ksp/pc/impls/is/pcis.c

## Examples

src/ksp/ksp/tutorials/ex59.c

## Implementations

PCISSetSubdomainScalingFactor_IS() in src/ksp/pc/impls/is/pcis.c

Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages